[fxruby-users] Further to my fxruby install

dave L dglnz at yahoo.com
Tue Jan 27 07:11:45 EST 2009


Think it's more about explaining that before you even go to install get fox from
if linux type OS
    - your OS repositories 

    - from this site

For MS windows
    - download from this site

then instruct user to execute this file

Linux  <from installation directory> ruby install.rb

from MS execute installation program after fox is installed onto the pc
Have the file in the root directory instead of libGUIb.

I know i went into foxGUIb 1st looking for an installion notes and or suitably named run script.

HTH

dave.


________________________________
From: Meinrad Recheis <meinrad.recheis at gmail.com>
To: fxruby-users at rubyforge.org
Sent: Wednesday, 28 January, 2009 12:39:28 AM
Subject: Re: [fxruby-users] Further to my fxruby install

congratulations. 
hmm, i see there are too many things that could possibly go wrong with an unexperienced user trying out foxguib. i will give it some thought and maybe change some things. if only i had some more time or some more clones of myself ... ^^
-- henon


On Tue, Jan 27, 2009 at 12:13 PM, dave L <dglnz at yahoo.com> wrote:

okay now we're getting somewhere :)

I've found the file version.rb in this directory as scrapped from the terminal (showing other files also)

dave at AMD3000:/spare/downloads/foxGUIb_1.0.0/libGUIb$ ls /usr/local/lib/site_ruby/1.8/fox16/
aliases.rb     exceptions_for_fxerror.rb  keys.rb            scintilla.rb
bitmapview.rb  execute_nonmodal.rb        kwargs.rb          settings.rb
calendar.rb    glgroup.rb                 missingdep.rb      signal.rb
chore.rb       glshapes.rb                pseudokeyboard.rb  splashscreen.rb
colors.rb      input.rb                   pseudomouse.rb     timeout.rb
core.rb        irb.rb                     responder2.rb      undolist.rb
dict.rb        iterators.rb               responder.rb       version.rb
dave at AMD3000:/spare/downloads/foxGUIb_1.0.0/libGUIb$ 

Now i suspect that these files should be together with foxGUIb in an area that doesn't require root access.
am i right?

How did this mess get like it? <yes i know i did it Dah!>  :)

I mean i d/l the zip file, unzipped in a folder where i had access rights to as a default (namely
/spare/downloads/FXRuby)
I had lots of issues and tried installing a number of times.
also d/l a gems version and loaded that.
it didn't seem to like that either and couldn't get it to work.

Now as an thought i did this and it works (scrapped from terminal)

dave at AMD3000:/spare/downloads/foxGUIb_1.0.0/foxGUIb$ ruby -S /scr  foxGUIb.rb
ruby: No such file or directory -- /scr (LoadError)
dave at AMD3000:/spare/downloads/foxGUIb_1.0.0/foxGUIb$ ruby -S /src  foxGUIb.rb
ruby: No such file or directory -- /src (LoadError)
dave at AMD3000:/spare/downloads/foxGUIb_1.0.0/foxGUIb$ ruby foxGUIb.rb -S src/

/usr/local/lib/site_ruby/1.8/libGUIb16.rb:263: warning: method redefined; discarding old to_s
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:938: warning: method redefined; discarding old app
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:943: warning: method redefined; discarding old enabled=
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:946: warning: discarding old enabled
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:947: warning: method redefined; discarding old visible=
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:950: warning: discarding old visible?
(eval):14: warning: `*' interpreted as argument prefix
./src/gui/mainwin.rb:44: warning: method redefined; discarding old about
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
./src/docman.rb:170: warning: instance variable @current not initialized
./src/docman.rb:173: warning: instance variable @current not initialized
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:102: warning: global variable `$dummy_img' not initialized

I now get GUIb up and running Hurray!!!
pointer in how i get it up without the errors etc above?




________________________________
From: Meinrad Recheis <meinrad.recheis at gmail.com>
To: fxruby-users at rubyforge.org
Sent: Tuesday, 27 January, 2009 11:18:57 PM
Subject: Re: [fxruby-users] Further to my fxruby install


version.rb is located in the same directory as foxguib.rb !!!! so it would normally find the file without a problem and load it. you are somehow calling foxguib.rb from a different directory (maybe via a symlink ?) and thus the file cannot be found. please make sure that you are located in the same dir as foxguib.rb and version.rb in order to get around this.
hth,
-- henon


On Tue, Jan 27, 2009 at 10:59 AM, dave L <dglnz at yahoo.com> wrote:

to try and help things more i went to this area and ran install as a means of trying to get it to run correctly but no luck as you can see from the output below.


root at AMD3000:/opt/foxGUIb_1.0.0/libGUIb# ruby install.rb
parsearg_config
install.rb: entering config phase...
---> lib
<--- lib
install.rb: config done.
parsearg_setup
install.rb: entering setup phase...
---> lib
<--- lib
install.rb: setup done.
parsearg_install
parsearg_install!!! ARGV:
install.rb: entering install phase...
---> lib
mkdir -p /usr/local/lib/site_ruby/1.8/
install libGUIb14.rb /usr/local/lib/site_ruby/1.8/
install libGUIb16.rb /usr/local/lib/site_ruby/1.8/
<--- lib
install.rb: install done.
root at AMD3000:/opt/foxGUIb_1.0.0/libGUIb# cd ..
root at AMD3000:/opt/foxGUIb_1.0.0# cd foxGUIb/
root at AMD3000:/opt/foxGUIb_1.0.0/foxGUIb# foxGUIb.rb
/usr/bin/foxGUIb.rb: line 6: $:: command not found
root at AMD3000:/opt/foxGUIb_1.0.0/foxGUIb# ruby foxGUIb.rb
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:263: warning: method redefined; discarding old to_s
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:938: warning: method redefined; discarding old app
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:943: warning: method redefined; discarding old enabled=
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:946: warning: discarding old enabled
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:947: warning: method redefined; discarding old visible=
/usr/local/lib/site_ruby/1.8/libGUIb16.rb:950: warning: discarding old visible?
(eval):14: warning: `*' interpreted as argument prefix
./src/gui/mainwin.rb:44: warning: method redefined; discarding old about
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
(eval):14: warning: `*' interpreted as argument prefix
No protocol specified
FXRbApp::openDisplay: unable to open display :0.0
root at AMD3000:/opt/foxGUIb_1.0.0/foxGUIb#    


from this i then copied *all* files to another directory where call /spare/foxGUIb.
Chown all files & directories to dave:dave (which is my username and my group name) and tried again.

this is the result of that!

dave at AMD3000:/spare/foxgui$ ruby foxGUIb.rb
foxGUIb.rb:7:in `require': no such file to load -- version (LoadError)
        from foxGUIb.rb:7
dave at AMD3000:/spare/foxgui$ 

So  i am missing something!!!
what is version on line 7 wanting?
this 1 screen of output for the foxGUIb.rb file.

# Copyright (c) 2004-2008 by Henon (meinrad dot recheis at gmail dot com)

# foxGUIb - main script
# when started with ruby's commandline option -d output goes to $stdout otherwise to log.txt

$:<<"src"<<"src/gui"<<"src/code-gen"
require "version" <<<<<<<<<<<<<<<<<<<<<< believe the error occurs!!!!

begin
  require FOXGUIB_LIBRARY
rescue LoadError
  puts $!
  puts
  puts "Possible causes of this error are:"
  puts "* libGUIb is not installed"
  puts "* fxruby is not installed"
  puts "* fxruby gem could not be loaded because you did not start ruby with -rubygems option"
  puts "* other unexpected error. please check the following backtrace to find the cause of the error."
  puts
  puts $!.backtrace
  exit
end

regards,

dave.

Get the world's best email - Yahoo!Xtra Mail
_______________________________________________
fxruby-users mailing list
fxruby-users at rubyforge.org
http://rubyforge.org/mailman/listinfo/fxruby-users



Get the world's best email - Yahoo!Xtra Mail
_______________________________________________
fxruby-users mailing list
fxruby-users at rubyforge.org
http://rubyforge.org/mailman/listinfo/fxruby-users


      Get the world&#39;s best email - http://nz.mail.yahoo.com/
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://rubyforge.org/pipermail/fxruby-users/attachments/20090127/fea020f4/attachment.html>


More information about the fxruby-users mailing list